Bug 605648 - Disable all parts of CoreGUI except Bundle
Summary: Disable all parts of CoreGUI except Bundle
Status: CLOSED CURRENTRELEASE
Alias: None
Product: RHQ Project
Classification: Other
Component: Core UI   
(Show other bugs)
Version: unspecified
Hardware: All
OS: Linux
urgent
medium vote
Target Milestone: ---
: ---
Assignee: John Mazzitelli
QA Contact: Jay Shaughnessy
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: jon-sprint11-bugs
TreeView+ depends on / blocked
 
Reported: 2010-06-18 13:18 UTC by Charles Crouch
Modified: 2015-02-01 23:26 UTC (History)
2 users (show)

Fixed In Version: 2.4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-12 16:47:17 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Charles Crouch 2010-06-18 13:18:39 UTC
None of the CoreGUI sections, outside of the provisioning features, should be accessible in the UI, either through links or directly via specific urls 
e.g., http://localhost:7080/coregui/CoreGUI.html?gwt.codesvr=127.0.0.1:9997#Subsystems/Alerts

Comment 1 John Mazzitelli 2010-07-12 17:15:42 UTC
release-3.0.0 commit 1184cb067af37649d5b24f07948ee733e535a5a5

don't let user be able to do anything useful in the gwt pages that aren't related to bundles/tags by entering directly links in browser

Comment 2 Jay Shaughnessy 2010-07-14 20:06:44 UTC
tried several menu items and they all led back to portal war. Tried several direct links and none did anything useful.

Comment 3 Corey Welton 2010-08-12 16:47:17 UTC
Mass-closure of verified bugs against JON.


Note You need to log in before you can comment on or make changes to this bug.